*** docs/man/tahoe.1.orig	2011-07-24 14:54:40.028693005 +0100
--- docs/man/tahoe.1	2011-07-24 18:17:21.958693005 +0100
***************
*** 1,3 ****
! .TH TAHOE 1 "" "tahoe User Manual"
  .SH NAME
  .PP
--- 1,3 ----
! .TH TAHOE 1 "July 2011" "Tahoe-LAFS \[em] tahoe command" "User Commands"
  .SH NAME
  .PP
***************
*** 5,9 ****
  .SH SYNOPSIS
  .PP
! tahoe [general options] [command] [command options]
  .SH GENERAL OPTIONS
  .TP
--- 5,9 ----
  .SH SYNOPSIS
  .PP
! tahoe \f[I]COMMAND\f[] [\f[I]OPTION\f[]]... [\f[I]PARAMETER\f[]]...
  .SH GENERAL OPTIONS
  .TP
***************
*** 34,38 ****
  .SS ADMINISTRATION
  .PP
! tahoe [command] [command options] [NODEDIR]
  .RS
  .SS COMMANDS
--- 34,38 ----
  .SS ADMINISTRATION
  .PP
! tahoe \f[I]COMMAND\f[] [\f[I]OPTION\f[]]... [\f[I]NODEDIR\f[]]
  .RS
  .SS COMMANDS
***************
*** 59,63 ****
  .B \f[B]-d,\ --node-directory=\f[]
  Specify which Tahoe node directory should be used.
! (default for most commands: \f[B]$HOME/.tahoe/\f[]).
  .TP
  .B \f[B]-n,\ --nickname=\f[]
--- 59,64 ----
  .B \f[B]-d,\ --node-directory=\f[]
  Specify which Tahoe node directory should be used.
! (default for \f[B]create-node\f[] and \f[B]create-client\f[]:
! `$HOME/.tahoe/').
  .TP
  .B \f[B]-n,\ --nickname=\f[]
***************
*** 72,76 ****
  Specify which TCP port to run the HTTP interface on.
  Use `none' to disable.
! Default: tcp:3456:interface=127.0.0.1 (\f[B]create-node\f[] and
  \f[B]create-client\f[] only).
  .TP
--- 73,77 ----
  Specify which TCP port to run the HTTP interface on.
  Use `none' to disable.
! Default: `tcp:3456:interface=127.0.0.1' (\f[B]create-node\f[] and
  \f[B]create-client\f[] only).
  .TP
***************
*** 81,85 ****
  .SS CONTROLLING NODES
  .PP
! tahoe [command] [command options] [NODEDIR]
  .SS COMMANDS
  .TP
--- 82,86 ----
  .SS CONTROLLING NODES
  .PP
! tahoe \f[I]COMMAND\f[] [\f[I]OPTION\f[]]... [\f[I]NODEDIR\f[]]
  .SS COMMANDS
  .TP
***************
*** 124,129 ****
  .TP
  .B \f[B]-d,\ --node-directory=\f[]
! Specify which Tahoe node directory should be used (default for most
! commands: `$HOME/.tahoe/').
  .RS
  .RE
--- 125,130 ----
  .TP
  .B \f[B]-d,\ --node-directory=\f[]
! Specify which Tahoe node directory should be used (default for commands
! other than \f[B]run\f[]: `$HOME/.tahoe/').
  .RS
  .RE
***************
*** 175,185 ****
  .RE
  .TP
! .B \f[B]rm\f[]
  Unlink a file or directory on the grid.
  .RS
  .RE
  .TP
! .B \f[B]unlink\f[]
! Unlink a file or directory on the grid (same as \f[B]rm\f[]).
  .RS
  .RE
--- 176,186 ----
  .RE
  .TP
! .B \f[B]unlink\f[]
  Unlink a file or directory on the grid.
  .RS
  .RE
  .TP
! .B \f[B]rm\f[]
! Unlink a file or directory on the grid (same as \f[B]unlink\f[]).
  .RS
  .RE
***************
*** 226,234 ****
  .SS OPTIONS
  .PP
! Please run `tahoe COMMAND \[em]help' for more details on each
  command.
  .SS DEBUGGING
  .PP
! tahoe debug SUBCOMMAND
  .SS SUBCOMMANDS
  .TP
--- 227,235 ----
  .SS OPTIONS
  .PP
! Please run `tahoe \f[I]COMMAND\f[] --help' for more details on each
  command.
  .SS DEBUGGING
  .PP
! tahoe debug \f[I]SUBCOMMAND\f[] [\f[I]OPTION\f[]]... [\f[I]PARAMETER\f[]]...
  .SS SUBCOMMANDS
  .TP
***************
*** 268,305 ****
  .RE
  .PP
! Please run e.g.\ `tahoe debug dump-share \[em]help' for more
  details on each subcommand.
- .PP
- Another debugging feature is that bin/tahoe allows executing an
- arbitrary \[lq]runner\[rq] command (typically an installed Python
- script, such as `coverage'), with the Tahoe libraries on the
- PYTHONPATH.
- The runner command name is prefixed with `\@', and any occurrences
- of `\@tahoe' in its arguments are replaced by the full path to the
- tahoe script.
- .PP
- For example, if `coverage' is installed and on the PATH, you can
- use:
- .PP
- \f[CR]
-       tahoe\ \@coverage\ run\ --branch\ \@tahoe\ debug\ trial
- \f[]
- .PP
- to get branch coverage for the Tahoe test suite.
- Or, to run python with the \[en]3 option that warns about Python 3
- incompatibilities:
- .PP
- \f[CR]
-       tahoe\ \@python\ -3\ \@tahoe\ command\ [options]
- \f[]
  .SH AUTHORS
  .PP
! Tahoe-lafs has been written by Brian Warner, Zooko Wilcox-O'Hearn
  and dozens of others.
! This manpage has been written by bertagaz.
  .SH COPYRIGHT
  .PP
  2006\[en]2011 \@ AllMyData, Inc.
- .SH AUTHORS
- May 10, 2011.
  
--- 269,291 ----
  .RE
  .PP
! Please run e.g.\ `tahoe debug dump-share --help' for more
  details on each subcommand.
  .SH AUTHORS
  .PP
! Tahoe-LAFS has been written by Brian Warner, Zooko Wilcox-O'Hearn
  and dozens of others.
! This manpage was originally written by bertagaz.
! .SH REPORTING BUGS
! .PP
! Please see <http://tahoe-lafs.org/trac/tahoe-lafs/wiki/HowToReportABug>.
! .PP
! For known security issues see
! <http://tahoe-lafs.org/trac/tahoe-lafs/browser/docs/known_issues.rst>.
! .PP
! Tahoe-LAFS home page: <http://tahoe-lafs.org/>
! .PP
! tahoe-dev mailing list: <http://tahoe-lafs.org/cgi-bin/mailman/listinfo/tahoe-dev>
  .SH COPYRIGHT
  .PP
  2006\[en]2011 \@ AllMyData, Inc.
  
